##// END OF EJS Templates
hgeditor: hide checksum mismatch message from md5sum
hgeditor: hide checksum mismatch message from md5sum

File last commit:

r769:0c033ef0 default
r769:0c033ef0 default
Show More
hgeditor
57 lines | 1.2 KiB | text/plain | TextLexer
Thomas Arendsen Hein
Remove bashisms and use /bin/sh instead of /bin/bash....
r544 #!/bin/sh
mpm@selenic.com
Add $HGEDITOR hook and example script...
r186 #
# This is an example of using HGEDITOR to automate the signing of
# commits and so on.
Matt Mackall
Turn off signing with hgeditor by default...
r684 # change this to one to turn on GPG support
SIGN=0
Thomas Arendsen Hein
Improved hgeditor:...
r348 T1=""; T2=""
cleanup_exit() {
rm -f "$T1" "$T2"
exit $1
}
Radoslaw "AstralStorm" Szkodzinski
hgeditor: Remove EMAIL default for HGUSER, comment editor selection ...
r666 # If you want to pass your favourite editor some other parameters
# only for Mercurial, modify this:
Thomas Arendsen Hein
Improved hgeditor:...
r348 case "${EDITOR:=vi}" in
emacs)
EDITOR="$EDITOR -nw"
;;
gvim|vim)
EDITOR="$EDITOR -f -o"
;;
esac
Thomas Arendsen Hein
Fixes and cleanups to hgeditor:...
r754 # Remove temporary files even if we get interrupted
trap "cleanup_exit 255" TERM KILL INT QUIT ABRT
T1=`mktemp`; T2=`mktemp`
(
cd "`hg root`"
grep '^HG: changed' "$1" | cut -b 13- | while read changed; do
hg diff "$changed" >> "$T2"
done
)
Thomas Arendsen Hein
Improved hgeditor:...
r348
Thomas Arendsen Hein
Fixes and cleanups to hgeditor:...
r754 echo > "$T1"
if [ "$SIGN" == "1" ]; then
MANIFEST=`grep '^HG: manifest hash' "$1" | cut -b 19-`
echo -e "\nmanifest hash: $MANIFEST" >> "$T1"
fi
grep -vE '^(HG: manifest hash .*)?$' "$1" >> "$T1"
Matt Mackall
Turn off signing with hgeditor by default...
r684
Thomas Arendsen Hein
Fixes and cleanups to hgeditor:...
r754 CHECKSUM=`md5sum "$T1"`
$EDITOR "$T1" "$T2" || cleanup_exit $?
mpm@selenic.com
hgeditor: hide checksum mismatch message from md5sum
r769 echo "$CHECKSUM" | md5sum -c >/dev/null 2>&1 && cleanup_exit 13
Thomas Arendsen Hein
Fixes and cleanups to hgeditor:...
r754
if [ "$SIGN" == "1" ]; then
{
head -n 1 "$T1"
echo
grep -v "^HG:" "$T1" | gpg -t -a -u "${HGUSER}" --clearsign
} > "$T2" && mv "$T2" "$1"
else
mv "$T1" "$1"
mpm@selenic.com
Add $HGEDITOR hook and example script...
r186 fi
Thomas Arendsen Hein
Improved hgeditor:...
r348
Thomas Arendsen Hein
Fixes and cleanups to hgeditor:...
r754 cleanup_exit $?